package com.example.demo;

import java.time.LocalDateTime;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
public class PierwszyController {
	// Gdy metoda w kontrolerze zwraca napis, a nie osiada adnotacji @ResponseBody,
	// to ten napis jest traktowany jak nazwa szablonu (lub ścieżka do szablonu),
	// który ma być użyty do wygenerowania odpowiedzi.
	
	@RequestMapping("/")
	public String index() {
		return "index.html";
	}
	
	// Gdy metoda posiada adnotację @ResponseBody, to, co zwraca returnem, jest odsyłane jako treść odpowiedzi.
	@RequestMapping("/hello")
	@ResponseBody
	public String hello() {
		return "Hello world";
	}
	
	// Dodaj metodę wyświetlającą bieżący czas
	@RequestMapping("/czas")
	@ResponseBody
	public LocalDateTime czas() {
		return LocalDateTime.now();
	}

}
